#!/usr/local/bin/ruby
#
# ./CGminimal.rb > CGminimal.eps
#

require "Cgraph"
include Cgraph

$prog_version = "CGminimal.c [V1.01, 1996-08-28, Izumi Ohzawa]"

def plot_something(progname)

  rot = 1
  expand = 1
  scale = 1.0

  use_stdout(1)
  useflexcolor(2)

  setboundingbox("0 0 216 216")
  settitle($prog_version)
  setcreator($0)

  radius1 = 0.8
  radius2 = 1.2

  comment  = "%% #$prog_version\n"
  comment += "%% Original data file: $0\n"
  comment += "%% Analysis parameter-1: #{radius1}\n"
  comment += "%% Analysis parameter-1: #{radius2}\n"
  set_top_comments(comment)

  init(rot, expand, scale)
  aorigin(1.5, 1.5)

  postscript("\n\n%% Radius #{radius1}\n")

  for i in 0..200
	angle = Math::PI * i / 100.0
	x = radius2 * Math::cos(3.0 * angle)
	y = radius2 * Math::sin(5.0 * angle)
	if i != 0
	  line(x, y)
	else
	  move(x, y)
	end
  end
  closepath

  gsave
  grayrgbcolor(0.6, 1.0, 0.6, 0.6)
  eofill
  grestore

  grayrgbcolor(0.0,  0.0, 0.0, 1.0)
  stroke
  postscript("\n%% End of my plot.\n")

  showpage
end

plot_something($0)
